Image 01
profile-image

Tarmack

Bart Kroon
Various KDE 1.-4. Improvements
Mangonel

Various KDE 1.-4. Improvements by Tarmack 31 comments

Do not worry help is here:P. Although, researching this error got me pretty much nowhere.

It seems that the error may actually be related to your Plasma install. Could you at least try running it with a different Plasma theme? And if that doesn't help, try creating a new user for testing? - Jan 29 2011
Mangonel

Various KDE 1.-4. Improvements by Tarmack 31 comments

This shouldn't be necessary. You probably have the "focus stealing prevention" option in system settings on high er extreme.

I know how to get around this and will implement this in a later release. Thank you for your feedback. - Jan 06 2011
Mangonel

Various KDE 1.-4. Improvements by Tarmack 31 comments

Can you test the latest commit on github? I think it should now work properly. - Jan 04 2011
Mangonel

Various KDE 1.-4. Improvements by Tarmack 31 comments

I just thought of the include paths error, while eating. I guess Ubuntu does some things automatic so I never missed them.

I'll look into this and will update the CMakeList.txt file.

Thanks for your feedback by the way. - Jan 04 2011
Mangonel

Various KDE 1.-4. Improvements by Tarmack 31 comments

I'm not sure what's happening on your system because http://www.rpmfind.net//linux/RPM/fedora/updates/14/x86_64/kdelibs-devel-4.5.4-2.fc14.x86_64.html shows the correct paths.
Maybe reinstalling the package will help. You could also try to include the actual header file directly, it should be plasma/dialog.h. - Jan 04 2011
Mangonel

Various KDE 1.-4. Improvements by Tarmack 31 comments

Can you check that "kdebase-workspace-devel" and "kdelibs4-devel" are installed? These packages should contain those header files. - Jan 03 2011
Mangonel

Various KDE 1.-4. Improvements by Tarmack 31 comments

Now that there are packages for most Ubuntu releases. I am now looking for someone that is able to provide RPM packages. If you are interested in helping put up RPM packages please contact me. - Jan 03 2011
Mangonel

Various KDE 1.-4. Improvements by Tarmack 31 comments

You have to use the "if it does not load" link. I don't know why, but kde-apps.org seems to not do things right. - Jan 03 2011
Mangonel

Various KDE 1.-4. Improvements by Tarmack 31 comments

I looked in to making the KRunner plugins available in Mangonel. Unfortunately this will never be implemented.
The runnerContext used for KRunner plugins requires these plugins to supply an icon as an actual icon pixmap. The creation of icons is quite a costly operation for a few dozen icons. In Mangonel icons are loaded at the absolute last possible moment. This is the main reason for Mangonels ability to start matching when just one character is supplied. KRunner only starts matching if three or more characters are supplied because the searches are to expensive otherwise. - Jan 01 2011
Mangonel

Various KDE 1.-4. Improvements by Tarmack 31 comments

Thank you for your feedback.

I am always on the lookout for good ideas for plugins. But I think I do not really understand what you are asking for. Do you want to be able to search the insides of documents?
If that is the case, I don't think this is feasible since that would get quite slow when there are, even a few decently sized, documents in the folder. Such functionality would be more in the realm of a desktop search agent I think.
I read on your blog:) that KDE4.6 will have this functionality in Dolphin. Maybe, if it is fast enough, I can leverage this to expose it in mangonel. - Dec 29 2010
Mangonel

Various KDE 1.-4. Improvements by Tarmack 31 comments

Thank you for your feedback and testing.

Mangonel is now capable of receiving composed characters. This is also important for users of languages that use accents. - Dec 29 2010
Mangonel

Various KDE 1.-4. Improvements by Tarmack 31 comments

Apparently this member function is only available in Qt 4.7 and later. I replaced it with a standard time function.

If I'm not mistaken it should now compile with Qt4.5 and up, although I'm not sure which KDE version is required. - Dec 27 2010